Bug Hunting Session
Bug 36311 - DDE link between two spreadsheets: updated values not saved
Summary: DDE link between two spreadsheets: updated values not saved
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: difficultyInteresting
Depends on:
Blocks: Files-Linked
  Show dependency treegraph
 
Reported: 2011-04-16 14:11 UTC by Tim Richardson
Modified: 2017-10-21 23:37 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
first spreadseet (277.03 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-04-16 14:11 UTC, Tim Richardson
Details
second spreadsheet (the source of the linked data) (92.02 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-04-16 14:12 UTC, Tim Richardson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Richardson 2011-04-16 14:11:58 UTC
Created attachment 45718 [details]
first spreadseet

Rather than a minimal test case, I will attach two real spreadsheets.
The no._4_neis_spreadsheets... .ods has a tab called Cash Flow Y1.
On this tab, row 19 uses the DDE formula to dynamically link to a second spreadsheet, also attached (no 2 marketing action plan)
The values in the no._4_ spreadsheet are old; they do not reflect the current values in the source.

Bug:
1) open the no.4 spreadsheet, and choose to update values from the linked source.
2) the document is marked as "dirty".
3) save the document.
4) open it again. Choose NOT to update linked values. Observe that the linked values have reverted to the old values, despite the save in step 3.
Comment 1 Tim Richardson 2011-04-16 14:12:34 UTC
Created attachment 45719 [details]
second spreadsheet (the source of the linked data)
Comment 2 Tim Richardson 2011-04-16 14:13:12 UTC
The DDE links are in an array formula which is I think necessary for reproducing the bug.
Comment 3 Kohei Yoshida 2011-04-18 11:23:20 UTC
Hmm... I can't reproduce this on my end.  When this happens, do you have the source document open, or is it closed?
Comment 4 Tim Richardson 2011-04-20 01:17:12 UTC
The source document is closed.
It's easily reproducible for me so I will try to make a minimal test case; my real documents need the right source directories. Please note that the link is an array formula because the link was made be paste special ... link from a selection of a number of cells. Feedback I've had elsewhere indicated that this bug is only visible when the DDE is embedded in an array formula.
Comment 5 Tim Richardson 2011-04-20 01:23:03 UTC
and yet with a simple testcase I can not reproduce it.
Comment 6 Kohei Yoshida 2011-04-20 06:25:17 UTC
BTW, I'm planning to switch from DDE to external reference as the default action when you do paste as link.  DDE is the default link mechanism today, but it's been very quirky.  Even Excel defaults to external reference for paste as link now (when previously it was DDE).

Just FYI.
Comment 7 Tim Richardson 2011-04-20 15:59:19 UTC
When you do that, will there by dynamic updating of links? Because at present, external links in OO/libreoffice don't seem to update when the source changes, except a one-time opportunity when opening the destination document. If it wasn't for that, I'd never use DDE links.
Comment 8 Kohei Yoshida 2011-04-20 17:04:39 UTC
(In reply to comment #7)
> When you do that, will there by dynamic updating of links? Because at present,
> external links in OO/libreoffice don't seem to update when the source changes,
> except a one-time opportunity when opening the destination document. If it
> wasn't for that, I'd never use DDE links.

You can still update from Edit - Links.  Besides, DDE doesn't work too reliably and is technically a Windows-only mechanism.  Only the external references work reliably across all platforms.
Comment 9 Tim Richardson 2011-04-25 15:37:48 UTC
I encountered this bug first in NeoOffice (and then also in mac ports of OpenOffice).
This is the comment I just received from the senior NeoOffice developer, for your information:

"I could reproduce this bug with your sample very easily in LibreOffice. My guess is that they did not create the absolute path that your DDE functions point to (that is /Users/...) and put the sample document there.

One they are able to reproduce it, they should find that the problem occurs when nesting DDE functions in a Calc array within a cell.

Patrick
_________________
NeoOffice engineer"
Comment 10 Kohei Yoshida 2011-04-26 08:06:18 UTC
Sorry, but I don't have the time to look into this right now.  Would you like to tackle this?
Comment 11 Kohei Yoshida 2011-04-26 08:06:59 UTC
Making this an easy hack.

c.f.
http://wiki.documentfoundation.org/Development/Easy_Hacks
Comment 12 Björn Michaelsen 2011-12-23 12:03:44 UTC Comment hidden (obsolete)
Comment 13 Björn Michaelsen 2011-12-23 12:57:04 UTC
An EasyHack should have been checked by developers and thus is confirmed regardless of age. Moving back to NEW from NEEDINFO again. Sorry for the hassle.
Comment 14 Björn Michaelsen 2013-10-04 18:47:54 UTC
adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 15 Björn Michaelsen 2015-01-15 16:21:12 UTC
Removing EasyHack: No activity since 2011 and DDE is not the happiest place to be for a newcomer.
Comment 16 Robinson Tryon (qubit) 2015-12-14 07:23:40 UTC Comment hidden (obsolete)
Comment 17 c.bessiere 2016-04-29 08:35:40 UTC
Exactly same bug on new versions 5.0.5.2 and 5.1.2.2.
A more important bug : calc crash when updating link very often (with the same file, sometimes ok, sometimes crashes with a document with many links)
Comment 18 QA Administrators 2017-05-22 13:40:48 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522